import Login from '../views/Login.vue';
import Home from '../views/Home.vue';
import Register from '../views/Register.vue';
import ChangePassword from '../views/ChangePassword.vue';
import Main from '../views/Main.vue';

import EditWorkList from '../components/EditWorkList.vue';
import WorkList from '../components/WorkList.vue';

const routes = [{
        path: '/',
        component: Home,
        name: 'Home'
    },
    {
        path: '/signin',
        component: Login,
        name: 'signin'
    },
    {
        path: '/signup',
        component: Register,
        name: 'signup'
    },
    {
        path: '/changePassword',
        component: ChangePassword,
        name: 'changePassword'
    }, {
        path: '/main',
        component: Main,
        name: 'main',
        children: [{
            path: "worklist",
            name: "worklist",
            components: {
                default: WorkList,
                edit_worklist: EditWorkList
            }
        }]
    }
];

export default routes;